Version: 1.1.7
Release: alt1
%define realname shhopt
Name: lib%realname
%define srcname %realname-%version

Summary: Library for parsing command line options
License: Artistic
Group: System/Libraries

Packager: Dmitry V. Levin <ldv@altlinux.ru>

URL: http://shh.thathost.com/pub-unix/
Source: http://shh.thathost.com/pub-unix/files/%realname-%version.tar.bz2

%package devel
Summary: Include files for developing apps which will use %name
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static library for developing apps which will use %name
Group: Development/C
Requires: %name-devel = %version-%release

%description
This is a set of functions for parsing command line options. Both
traditional one-character options, and GNU-style --long-options are
supported.

This library does more of the parsing for you. You set up a special
structure describing the names and types of the options you want your
program to support. In the structure you also give addresses of
variables to update or functions to call for the various
options. By calling optParseOptions, all options in argv are parsed
and removed from argv. What is left, are the non-optional arguments to
your program.

The down-side of this, is that you won't be able to make a program
where the position of the options between the non-options are
significant.

%description devel
The %name-devel package contains the include files needed
to develop programs that use the %name library.

%description devel-static
The %name-devel-static package contains the static library needed
to develop statically linked programs that use the %name library.

%prep
%setup -q -n %srcname

%build
%define _optlevel 9

make clean
make dep
make OPTIM="$RPM_OPT_FLAGS"
rm -f *.o
make SHARED=1 OPTIM="$RPM_OPT_FLAGS" CCSHRD="%optflags_shared"

%install
mkdir -p $RPM_BUILD_ROOT{/lib,%_libdir,%_includedir}
ln -s ../../lib/%name.so.%version $RPM_BUILD_ROOT%_libdir/%name.so
install -p -m755 *.so.* $RPM_BUILD_ROOT/lib
install -p -m644 *.a $RPM_BUILD_ROOT%_libdir
install -p -m644 *.h $RPM_BUILD_ROOT%_includedir

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
/lib/*
%doc ChangeLog CREDITS README %srcname.lsm example.c

%files devel
%_libdir/*.so
%_includedir/*

%files devel-static
%_libdir/*.a

%changelog
* Wed Oct 02 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt1
- 1.1.7
- fixed url
- added Packager tag

* Mon May 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.1.4-alt1
- Initial revision.
